#include <stdio.h>

#define WIDTH           176//152 /* picture width */
#define HEIGHT          154//182 /* picture height */
#define CHAR_WIDTH      8   /* character width */
#define CHAR_HEIGHT     14  /* character height */

#define WIDTH_CHARS     WIDTH / CHAR_WIDTH
#define HEIGHT_CHARS    HEIGHT / CHAR_HEIGHT
#define TOTAL_CHARS     WIDTH_CHARS * HEIGHT_CHARS

char buf[WIDTH_CHARS][CHAR_HEIGHT][CHAR_WIDTH];


int main(void)
{
    char c;
    int i, j, k, l;

    for ( i = 0; i < HEIGHT_CHARS; i++ ) { /* read chars by `character' rows */
        for ( j = 0; j < CHAR_HEIGHT; j++ ) { /* read this many scanlines */
            for ( k = 0; k < WIDTH_CHARS; k++ ) /* read next line for each char */
                for ( l = 0; l < CHAR_WIDTH; l++ )
                    scanf("%c", &buf[k][j][l]);
            scanf("%c", &c); /* skip newline */
        }
        /* Print out each char in turn */
        for ( j = 0; j < WIDTH_CHARS; j++ ) {
            for ( k = 0; k < CHAR_HEIGHT; k++ )
                for ( l = 0; l < CHAR_WIDTH; l++ )
                    printf("%c", buf[j][k][l]);
            puts("");
        }
    }

    return 0;
}



/*
 * Local Variables:
 * compile-command: "gcc reorder.c"
 * End:
 */
